.cal_key {
    text-align: center;
    margin: 0.5em;
    a:hover {
        text-decoration: none;
    }
}

.course_calendar_grid {
    width: 100%;

    .vertical,
    .date_label_dow {
        display: none;
    }

    .date_label {
        color: $grey-color;
    }
    
    .date_label_day {
        font-weight: bold;
    }
    
    td {
        vertical-align: top;
        margin: 0em;
        padding: 0.4em 0.7em;
        border-width: 5px 0 0 0;
        border-style: solid;
        border-color: lighten($grey-color, 40%);
    }
    th {
        vertical-align: top;
        margin: 0em;
        padding: 0.5em;
    }
    
    .light_row td {
        background: #fafafa;
    }
    
    .dark_row td {
        background: $grey-color-light;
    }
    
    td.holiday {
        border-color: $grey-color;
        background: darken($grey-color-light, 20%);
    }
    .holiday li, .altschedule {
        font-weight: bolder;
    }
    .altschedule li {
        font-weight: lighter;
    }
    td.altschedule {
        border-color: $grey-color;
        /* background: darken($grey-color-light, 10%); */
    }
    td.examperiod, td.readingperiod {
        border-color: $orange-color;
        .date_label {
            color: $orange-color;
        }
    }

    .day_note {
        font-weight: bolder;
        display: block;
    }
    .day_agenda {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }
    /* counteract top-level ul clearing trick */
    ul:before {
        content: initial;
        width: initial;
        display: initial;
        overflow: initial;
    }
        
    .topic_link {
        display: inline-block;
    }
    
    .assign_label, .exam_label {
        font-weight: bolder;
        text-style: italic;
    }

    .topic_extras {
        font-size: 0.8em;
        display: inline-block;
    }
    
    td.new_month {
        border-color: $purple-color;
    }
    .new_month .date_label {
        color: $purple-color;
        font-weight: bold;
    }

}

@media (max-width: $width-vertical) {
    .course_calendar_grid {
        tr {
            display: block;
            padding-bottom: $spacing-unit;
        }
        tr.col_headers {
            display: none;
        }
        td {
            display: block;
            border-width: 0 0 0 5px;
            margin-bottom: 2px;
        }
        .date_label {
            display: block;
        }
        .date_label_dow {
            font-weight: bold;
        }
        .date_label_dow,
        .date_label_month {
            display: initial;
        }
        td.new_month {
            .date_label {
                font-weight: bold;
            }
            border-color: $purple-color;
        }
        .day_agenda {
            padding-left: 1em;
        }
        .day_note {
            display: inline-block;
        }
    }
}

.course_calendar_block {
    width: 100%;
    border-collapse: collapse;

    
    td, th {
        text-align: left;
        vertical-align: top;
        margin: 0em;
        padding: 0.2em 0.4em;
        border-width: 0 0 1px 0;
        border-style: solid;
        border-color: lighten($grey-color, 40%);
    }
    
    tr.label_row, tr.block_row {
        th {
            font-size: smaller;
            a:link, a:visited {
                text-decoration: none;
            }
            a:hover {
                text-decoration: underline;
            }
        }
    }
    tr.label_row {
        .purple, .purple a, .purple a:visited, .purple a:hover {
            background: $purple-background;
            color: $purple-color;
        }
        .blue, .blue a, .blue a:visited, .blue a:hover {
            background: $blue-background;
            color: $blue-color;
        }        
        .green, .green a, .green a:visited, .green a:hover {
            background: $green-background;
            color: $green-color;
        }        
        .yellow, .yellow a, .yellow a:visited, .yellow a:hover {
            background: $yellow-background;
            color: $yellow-color;
        }        
        .orange, .orange a, .orange a:visited, .orange a:hover {
            background: $orange-background;
            color: $orange-color;
        }        
        .red, .red a, .red a:visited, .red a:hover {
            background: $red-background;
            color: $red-color;
        }        
        .site, .site a, .site a:visited, .site a:hover {
            background: $site-color-light;
            color: $site-color;
        }
        .gray, .gray a, .gray a:visited, .gray a:hover {
            background: $grey-color-dark;
            color: $grey-color-light;
        }
    }
    
    .dark_row td {
        background: $grey-color-light;
    }
    
    .light_row td {
        background: #f8f8f8;
    }
    
    tr.block_row {
        .block_head {
            padding-left: 0;
        }
        th {
            border-bottom: 2px solid;
            font-weight: bold;
            padding-top: 1em;
            font-size: larger;
        }
        .purple, .purple a, .purple a:visited, .purple a:hover {
            background: $background-color;
            color: $purple-color;
            border-color: $purple-color;
        }
        .blue, .blue a, .blue a:visited, .blue a:hover {
            background: $background-color;
            color: $blue-color;
            border-color: $blue-color;
        }
        .green, .green a, .green a:visited, .green a:hover {
            background: $background-color;
            color: $green-color;
            border-color: $green-color;
        }
        .yellow, .yellow a, .yellow a:visited, .yellow a:hover {
            background: $background-color;
            color: $yellow-color;
            border-color: $yellow-color;
        }
        .orange, .orange a, .orange a:visited, .orange a:hover {
            background: $background-color;
            color: $orange-color;
            border-color: $orange-color;
        }
        .red, .red a, .red a:visited, .red a:hover {
            background: $background-color;
            color: $red-color;
            border-color: $red-color;
        }
        .site, .site a, .site a:visited, .site a:hover {
            background: $background-color;
            color: $site-color;
            border-color: $site-color;
        }
        .gray, .gray a, .gray a:visited, .gray a:hover {
            background: $background-color;
            color: black;
            border-color: black;
        }
    }

    tr.spacer td {
        border: none;
        background: transparent;
        padding: 0.5em;
    }

    td.holiday {
        border-color: $grey-color;
        background: darken($grey-color-light, 20%);
    }
    .holiday li, .altschedule {
        font-weight: bolder;
    }
    .altschedule li {
        font-weight: lighter;
    }
    td.altschedule {
        border-color: $grey-color;
        /* background: darken($grey-color-light, 10%); */
    }
    tr.readingperiod {
        td {
            background: darken($gray-color-light, 10%);
        }
    }
    tr.examperiod {
        .day_note {
            color: $site-color;
        }
        td {
            background: $site-color-light;
        }
    }

    .day_note {
        font-weight: bold;
        display: block;
    }
    .day_agenda {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }
    /* counteract top-level ul clearing trick */
    ul:before {
        content: initial;
        width: initial;
        display: initial;
        overflow: initial;
    }

    .exam_label,
    .assign_label,
    .cell_label {
        font-weight: normal;
    }
    .cell_label {
        display: none;
    }
    
    .topic_extras {
        font-size: 0.8em;
        display: inline-block;
    }

    td.new_month {
        /* border-color: $purple-color; */
    }
    .new_month .date_label {
        /* color: $purple-color; */
        font-weight: bold;
    }

    .vertical,
    .date_label_dow {
        font-weight: bold;
        display: inline-block;
    }
    
    .date_label_cal {
        display: inline-block;
    }
    .date_label {
        color: $grey-color-dark;
    }

    .tag {
        display: none;
    }
}

.topic_block_heading {
    border-bottom: 2px solid;
    padding-bottom: 0;
    margin-bottom: 0;
    a:hover {
        text-decoration: none;
    }
}
.marge { /* force in margins */
    padding: 1px;
}
.purple_heading, .purple_heading a, .purple_heading a:hover, .purple_heading a:visited {
    background: $background-color;
    color: $purple-color;
    border-color: $purple-color;
}
.blue_heading, .blue_heading a, .blue_heading a:hover, .blue_heading a:visited {
    background: $background-color;
    color: $blue-color;
    border-color: $blue-color;
}
.green_heading, .green_heading a, .green_heading a:hover, .green_heading a:visited {
    background: $background-color;
    color: $green-color;
    border-color: $green-color;
}
.yellow_heading, .yellow_heading a, .yellow_heading a:hover, .yellow_heading a:visited {
    background: $background-color;
    color: $yellow-color;
    border-color: $yellow-color;
}
.orange_heading, .orange_heading a, .orange_heading a:hover, .orange_heading a:visited {
    background: $background-color;
    color: $orange-color;
    border-color: $orange-color;
}
.red_heading, .red_heading a, .red_heading a:hover, .red_heading a:visited {
    background: $background-color;
    color: $red-color;
    border-color: $red-color;
}
.site_heading, .site_heading a, .site_heading a:hover, .site_heading a:visited {
    background: $background-color;
    color: $site-color;
    border-color: $site-color;
}
.gray_heading, .gray_heading a, .gray_heading a:hover, .gray_heading a:visited {
    background: $background-color;
    color: black;
    border-color: black;
}

.topic_block_meta {
    margin-top: 0;
    padding: 0.5em;
}
.purple_meta {
    background: $purple-background;
    color: $purple-color;
}
.blue_meta {
    background: $blue-background;
    color: $blue-color;
}
.green_meta {
    background: $green-background;
    color: $green-color;
}
.yellow_meta {
    background: $yellow-background;
    color: $yellow-color;
}
.orange_meta {
    background: $orange-background;
    color: $orange-color;
}
.red_meta {
    background: $red-background;
    color: $red-color;
}
.site_meta {
    background: $site-color-light;
    color: $site-color;
}
.gray_meta {
    background: $gray-color-dark;
    color: black;
}


.topic_block_section {
    margin-top: 0;
    padding: 0;
    padding-left: 1em;
    border-left-width: 8px;
    border-left-style: solid;
}
.purple_section {
    border-left-color: $purple-color;
}
.blue_section {
    border-left-color: $blue-color;
}
.green_section {
    border-left-color: $green-color;
}
.yellow_section {
    border-left-color: $yellow-color;
}
.orange_section {
    border-left-color: $orange-color;
}
.red_section {
    border-left-color: $red-color;
}
.site_section {
    border-left-color: $site-color;
}
.gray_section {
    border-left-color: $gray-color;
}

@media (max-width: $width-vertical) and (min-width: $width-narrow + 1) {
    .course_calendar_block {
        .date_label_dow,
        .date_label_cal {
            display: block;
        }
    }
}
@media (max-width: $width-narrow) {
    .course_calendar_block {
        tr {
            display: block;
            border: none;
        }
        tr.block_row {
            border: none;

            th {
                display: block;
            }
        }
        tr.col_headers, tr.block_first_label_row, tr.label_row * {
            display: none;
        }
        .label_row {
            padding-top: 1px;
        }
        tr.week_purple {
            background-color: $purple-color;
            border-left: 8px solid $purple-color;
        }
        tr.week_blue {
            background-color: $blue-color;
            border-left: 8px solid $blue-color;
        }
        tr.week_green {
            background-color: $green-color;
            border-left: 8px solid $green-color;
        }
        tr.week_yellow {
            background-color: $yellow-color;
            border-left: 8px solid $yellow-color;
        }
        tr.week_orange {
            background-color: $orange-color;
            border-left: 8px solid $orange-color;
        }
        tr.week_red {
            background-color: $red-color;
            border-left: 8px solid $red-color;
        }
        tr.week_gray {
            background-color: $gray-color;
            border-left: 8px solid $gray-color;
        }
        td {
            display: block;
            border-width: 0;
            padding: 0.15em 0.7em;
        }
        td.empty {
            display: none;
        }
        .date_label {
            padding: 0;
        }
        .date_label_dow {
            font-weight: bold;
        }
        .date_label_dow,
        .date_label_day,
        .date_label_month {

        }
        .day_agenda {
            padding-left: 1em;
            li {
                display: block;
                padding-right: 1em;
            }
        }
        .day_note {
            display: inline-block;
        }

        .cell_label {
            display: inline;
        }

    }
}

